Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class recompile

    java.lang.Object
      |
      +--org.apache.regexp.recompile

public class recompile
extends Object

'recompile' is a command line tool that pre-compiles one or more regular expressions for use with the regular expression matcher class 'RE'. For example, the command "java recompile a*b" produces output like this:

        // Pre-compiled regular expression "a*b"
        char[] re1Instructions =
        {
            0x007c, 0x0000, 0x001a, 0x007c, 0x0000, 0x000d, 0x0041,
            0x0001, 0x0004, 0x0061, 0x007c, 0x0000, 0x0003, 0x0047,
            0x0000, 0xfff6, 0x007c, 0x0000, 0x0003, 0x004e, 0x0000,
            0x0003, 0x0041, 0x0001, 0x0004, 0x0062, 0x0045, 0x0000,
            0x0000,
        };

        REProgram re1 = new REProgram(re1Instructions);

By pasting this output into your code, you can construct a regular expression matcher (RE) object directly from the pre-compiled data (the character array re1), thus avoiding the overhead of compiling the expression at runtime. For example:

        RE r = new RE(re1);

Version:
  $Id: recompile.java,v 1.1 2000/04/27 01:22:33 jon Exp $
Author:
  Jonathan Locke
See Also:
  `RE`, `RECompiler`

Constructor Summary
`recompile()`

Method Summary
`static void` | `main(String[] arg)` Main application entrypoint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### recompile

    public recompile()

Method Detail

### main

    public static void main(String[] arg)

  Main application entrypoint.
  Parameters:
    `arg` - Command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD